[OOPP] Linux-only test failures in test_plugin_clipping2.xhtml

RESOLVED FIXED in mozilla1.9.3a1

Status

()

defect
RESOLVED FIXED
9 years ago
6 years ago

People

(Reporter: benjamin, Assigned: karlt)

Tracking

({intermittent-failure})

Trunk
mozilla1.9.3a1
x86
Linux
Points:
---
Dependency tree / graph
Bug Flags:
in-testsuite +

Firefox Tracking Flags

(status1.9.2 .4-fixed)

Details

(Whiteboard: [fixed-lorentz])

Attachments

(2 attachments, 1 obsolete attachment)

(Reporter)

Description

9 years ago
There are test failures in test_plugin_clipping2.xhtml when OOPP is on:

873 ERROR TEST-UNEXPECTED-FAIL | /tests/layout/generic/test/test_plugin_clipping2.xhtml | Matching regions for 'p2': expected {0,0,200,100}, {0,100,50,200}, {150,100,200,200}, got {0,0,200,50}, {0,50,50,200}, {150,50,200,200}

878 ERROR TEST-UNEXPECTED-FAIL | /tests/layout/generic/test/test_plugin_clipping2.xhtml | Matching regions for 'p2': expected {0,0,200,200}, got {0,0,200,50}, {0,50,50,200}, {150,50,200,200}

883 ERROR TEST-UNEXPECTED-FAIL | /tests/layout/generic/test/test_plugin_clipping2.xhtml | Matching regions for 'p1': expected {0,0,200,200}, got {0,0,200,100}

888 ERROR TEST-UNEXPECTED-FAIL | /tests/layout/generic/test/test_plugin_clipping2.xhtml | Matching regions for 'p2': expected {0,100,200,200}, got {0,0,200,50}, {0,50,50,200}, {150,50,200,200}

889 ERROR TEST-UNEXPECTED-FAIL | /tests/layout/generic/test/test_plugin_clipping2.xhtml | Matching regions for 'p2': expected {0,0,200,50}, {0,50,50,150}, {150,50,200,150}, {0,150,200,200}, got {0,0,200,50}, {0,50,50,200}, {150,50,200,200}

This is a lot like bug 539726, so I tried to increase the timeout in plugin_clipping_lib.js, but that didn't seem to help.
(Assignee)

Updated

9 years ago
OS: Windows 7 → Linux
Posted patch patch (obsolete) — Splinter Review
Assignee: nobody → karlt
Attachment #422710 - Attachment is obsolete: true
(Reporter)

Comment 3

9 years ago
http://hg.mozilla.org/mozilla-central/rev/4a603215351c
Status: NEW → RESOLVED
Last Resolved: 9 years ago
Resolution: --- → FIXED
Reopening because there are still intermittent similar failures on the electrolysis tinderbox.

I haven't been able to reproduce here, but it seems possible that a race condition between parent and the child plugin X server requests may be responsible.
If the X server processes the child plugin's requests before those from the parent, then the X server will not have the new state from the parent.
Status: RESOLVED → REOPENED
Resolution: FIXED → ---
This is probably worth a try on electrolysis.

With the timeouts, the parent requests should get flushed anyway, so no need for the scroll-to-flush trick.
(Reporter)

Comment 6

9 years ago
http://hg.mozilla.org/mozilla-central/rev/8b68dd282dd2

I think this is fixed, but there is still http://tinderbox.mozilla.org/showlog.cgi?log=Electrolysis/1264444681.1264447477.31408.gz#err2 which shows a scripting failure of some sort.
64869 INFO TEST-PASS | /tests/layout/generic/test/test_plugin_clipping2.xhtml | Matching regions for 'p2': expected {0,0,200,50}, {0,50,50,150}, {150,50,200,150}, {0,150,200,200}, got {0,0,200,50}, {0,50,50,150}, {150,50,200,150}, {0,150,200,200}
64870 INFO TEST-PASS | /tests/layout/generic/test/test_plugin_clipping2.xhtml | p2 plugin X
64871 INFO TEST-PASS | /tests/layout/generic/test/test_plugin_clipping2.xhtml | p2 plugin Y
64872 INFO TEST-PASS | /tests/layout/generic/test/test_plugin_clipping2.xhtml | p2 plugin width
64873 INFO TEST-PASS | /tests/layout/generic/test/test_plugin_clipping2.xhtml | p2 plugin height
NEXT ERROR 64874 ERROR TEST-UNEXPECTED-FAIL | /tests/layout/generic/test/test_plugin_clipping2.xhtml | [SimpleTest/SimpleTest.js, window.onerror] An error occurred - Error calling method on NPObject! at undefined:undefined

checkClipRegionWithDoc() calls getClipRegionRectCount() and then performs that many sets of getClipRegionRectEdge() calls.  If the region changes after getClipRegionRectCount() in such a way that there are fewer rects, then getClipRegionRectEdge() will throw in such a way that would cause this error.

The initial and final numbers of rects in the region are actually expected to be equal, but perhaps there is an intermediate state with fewer rects.

I thought one second should be sufficient for things to settle (unless there are other loads on the system) but I've restored the flush tweak on electrolysis as an experiment.
http://hg.mozilla.org/projects/electrolysis/rev/be4144ff7790
(Reporter)

Updated

9 years ago
Duplicate of this bug: 542446
(Reporter)

Comment 9

9 years ago
This is mostly-fixed now, with
http://hg.mozilla.org/mozilla-central/rev/4a603215351c
http://hg.mozilla.org/mozilla-central/rev/8b68dd282dd2
http://hg.mozilla.org/mozilla-central/rev/ebca6061298f

But we've seen one case of this still randomly failing, so I'm going to leave this open for a bit.
Blocks: OOPP, 438871
No longer blocks: 531142
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1264625206.1264626015.10421.gz
Linux mozilla-central opt test mochitests-4/5 on 2010/01/27 12:46:46
s: moz2-linux-slave01
1818 ERROR TEST-UNEXPECTED-FAIL | /tests/layout/generic/test/test_plugin_clipping2.xhtml | [SimpleTest/SimpleTest.js, window.onerror] An error occurred - Error calling method on NPObject! at undefined:undefined
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1264629905.1264630563.32537.gz#err0
WINNT 5.2 mozilla-central opt test mochitests-4/5 on 2010/01/27 14:05:05  
s: win32-slave42
TEST-UNEXPECTED-FAIL | automation.py | application timed out after 330 seconds with no output
PROCESS-CRASH | automation.py | application crashed (minidump found)
Thread 20 (crashed)

Thread 20 (crashed)
 0  crashinjectdll.dll!CrashingThread(void *) [crashinjectdll.cpp:f54bb3222492 : 13 + 0x0]
    eip = 0x00ba1000   esp = 0x03afffbc   ebp = 0x03afffec   ebx = 0x00000000
    esi = 0x00000000   edi = 0x00000000   eax = 0x00000000   ecx = 0x03afffb4
    edx = 0x7c8285ec   efl = 0x00010246
    Found by: given as instruction pointer in context
 1  kernel32.dll + 0x24828
    eip = 0x77e64829   esp = 0x03afffc0   ebp = 0x03afffec
    Found by: call frame info

Thread 0
 0  ntdll.dll + 0x285ec
    eip = 0x7c8285ec   esp = 0x0012d00c   ebp = 0x0012d01c   ebx = 0x06c97600
    esi = 0x06c97600   edi = 0x04488880   eax = 0x07f3c000   ecx = 0x034f2000
    edx = 0x00000808   efl = 0x00200286
    Found by: given as instruction pointer in context
 1  xul.dll!nsWindow::Update() [nsWindow.cpp:f54bb3222492 : 2190 + 0x5]
    eip = 0x60c1ac91   esp = 0x0012d024   ebp = 0x0012d054
    Found by: previous frame's frame pointer
 2  xul.dll!nsViewManager::UpdateWidgetsForView(nsView *) [nsViewManager.cpp:f54bb3222492 : 1464 + 0xb]
    eip = 0x60af7379   esp = 0x0012d02c   ebp = 0x0012d054
    Found by: call frame info with scanning
 3  xul.dll!nsViewManager::ForceUpdate() [nsViewManager.cpp:f54bb3222492 : 1715 + 0x7]
    eip = 0x60b1d610   esp = 0x0012d05c   ebp = 0x0012d0c0
    Found by: previous frame's frame pointer
 4  xul.dll!nsViewManager::Composite() + 0x10
    eip = 0x60959d61   esp = 0x0012d068   ebp = 0x0012d0c0
    Found by: call frame info with scanning
 5  xul.dll!nsGfxScrollFrameInner::ScrollVisual(nsIntPoint) [nsGfxScrollFrame.cpp:f54bb3222492 : 1707 + 0x10]
    eip = 0x60cc234f   esp = 0x0012d0c8   ebp = 0x0012d1dc
    Found by: previous frame's frame pointer
 6  xul.dll!nsGfxScrollFrameInner::ScrollToImpl(nsPoint) + 0x93
    eip = 0x609ed615   esp = 0x0012d1e4   ebp = 0x0012d218
    Found by: previous frame's frame pointer
 7  xul.dll!nsGfxScrollFrameInner::ScrollTo(nsPoint,nsIScrollableFrame::ScrollMode) [nsGfxScrollFrame.cpp:f54bb3222492 : 1357 + 0x15]
    eip = 0x6075df94   esp = 0x0012d220   ebp = 0x0012d240
    Found by: previous frame's frame pointer
 8  xul.dll!nsXULScrollFrame::ScrollTo(nsPoint,nsIScrollableFrame::ScrollMode) [nsGfxScrollFrame.h:f54bb3222492 : 413 + 0x1d]
    eip = 0x6075e01c   esp = 0x0012d248   ebp = 0x0012d274
    Found by: previous frame's frame pointer
 9  xul.dll!nsNSElementTearoff::SetScrollTop(int) [nsGenericElement.cpp:f54bb3222492 : 1258 + 0x1a]
    eip = 0x60cd7fe2   esp = 0x0012d25c   ebp = 0x0012d274
    Found by: call frame info
10  xul.dll!NS_InvokeByIndex_P [xptcinvoke.cpp:f54bb3222492 : 102 + 0x2]
    eip = 0x6086863c   esp = 0x0012d27c   ebp = 0x0012d288
    Found by: previous frame's frame pointer
11  xul.dll!XPCWrappedNative::CallMethod(XPCCallContext &,XPCWrappedNative::CallMode) [xpcwrappednative.cpp:f54bb3222492 : 2727 + 0x1c]
    eip = 0x606a21e1   esp = 0x0012d290   ebp = 0x0012d520
    Found by: call frame info
12  xul.dll!XPC_WN_GetterSetter(JSContext *,JSObject *,unsigned int,int *,int *) [xpcwrappednativejsops.cpp:f54bb3222492 : 1792 + 0x16]
    eip = 0x606aa577   esp = 0x0012d528   ebp = 0x035ed340
    Found by: previous frame's frame pointer
13  mozjs.dll!js_Invoke [jsinterp.cpp:f54bb3222492 : 1376 + 0x16]
    eip = 0x60231540   esp = 0x0012d5f4   ebp = 0x0012d698
    Found by: call frame info
14  mozjs.dll!js_InternalInvoke [jsinterp.cpp:f54bb3222492 : 1439 + 0x11]
    eip = 0x60233bd3   esp = 0x0012d6a0   ebp = 0x0012d6cc
    Found by: previous frame's frame pointer
15  mozjs.dll!JSScopeProperty::set(JSContext *,JSObject *,int *) [jsscope.h:f54bb3222492 : 857 + 0x2d]
    eip = 0x60200bc8   esp = 0x0012d6d4   ebp = 0x073bdee0
    Found by: previous frame's frame pointer
16  mozjs.dll!js_SetPropertyHelper [jsobj.cpp:f54bb3222492 : 5405 + 0x13]
    eip = 0x602187c5   esp = 0x0012d6fc   ebp = 0x050b6144
    Found by: call frame info with scanning
17  mozjs.dll!js_SetProperty [jsobj.cpp:f54bb3222492 : 5518 + 0x1a]
    eip = 0x60217a4c   esp = 0x0012d754   ebp = 0x0012d9b4
    Found by: call frame info
18  mozjs.dll!js_Interpret [jsops.cpp:f54bb3222492 : 1319 + 0x17]
    eip = 0x6022a8fe   esp = 0x0012d770   ebp = 0x0012d9b4
    Found by: call frame info
19  mozjs.dll!js_Invoke [jsinterp.cpp:f54bb3222492 : 1384 + 0x5]
    eip = 0x6023139b   esp = 0x0012d9bc   ebp = 0x0012da50
    Found by: previous frame's frame pointer
20  mozjs.dll!js_InternalInvoke [jsinterp.cpp:f54bb3222492 : 1439 + 0x11]
    eip = 0x60233bd3   esp = 0x0012da58   ebp = 0x0012da80
    Found by: previous frame's frame pointer
21  mozjs.dll!JS_CallFunctionValue [jsapi.cpp:f54bb3222492 : 5120 + 0x26]
    eip = 0x60253fa7   esp = 0x0012da88   ebp = 0x0012db1c
    Found by: previous frame's frame pointer
22  xul.dll!nsJSContext::CallEventHandler(nsISupports *,void *,void *,nsIArray *,nsIVariant * *) [nsJSEnvironment.cpp:f54bb3222492 : 2168 + 0x24]
    eip = 0x60704cf1   esp = 0x0012dab0   ebp = 0x0012db1c
    Found by: call frame info
23  xul.dll!nsGlobalWindow::RunTimeout(nsTimeout *) [nsGlobalWindow.cpp:f54bb3222492 : 8095 + 0x77]
    eip = 0x60640485   esp = 0x0012db24   ebp = 0x0012dbf8
    Found by: previous frame's frame pointer
24  xul.dll!nsGlobalWindow::TimerCallback(nsITimer *,void *) [nsGlobalWindow.cpp:f54bb3222492 : 8439 + 0x8]
    eip = 0x6070b91a   esp = 0x0012dc00   ebp = 0x0012dc1c
    Found by: previous frame's frame pointer
25  xul.dll!nsTimerImpl::Fire() [nsTimerImpl.cpp:f54bb3222492 : 427 + 0x6]
    eip = 0x606f5735   esp = 0x0012dc24   ebp = 0x603cccd0
    Found by: previous frame's frame pointer
26  nspr4.dll!_PR_MD_UNLOCK [w95cv.c:f54bb3222492 : 344 + 0x6]
    eip = 0x603d9f4f   esp = 0x0012dc3c   ebp = 0x07e0c190
    Found by: call frame info with scanning
27  xul.dll!nsTimerEvent::Run() [nsTimerImpl.cpp:f54bb3222492 : 519 + 0x4]
    eip = 0x606f5560   esp = 0x0012dc44   ebp = 0x07e0c190
    Found by: call frame info with scanning
28  xul.dll!nsThread::ProcessNextEvent(int,int *) [nsThread.cpp:f54bb3222492 : 527 + 0x4]
    eip = 0x606ad3d6   esp = 0x0012dc4c   ebp = 0x07e0c190
    Found by: call frame info
29  xul.dll!mozilla::ipc::MessagePump::Run(base::MessagePump::Delegate *) [MessagePump.cpp:f54bb3222492 : 142 + 0x19]
    eip = 0x606e35a8   esp = 0x0012dc7c   ebp = 0x606ad3d6
    Found by: call frame info with scanning
30  xul.dll + 0x9c727b
    eip = 0x60fb727c   esp = 0x0012dcac   ebp = 0x00000001
    Found by: call frame info
31  xul.dll!MessageLoop::RunHandler() [message_loop.cc:f54bb3222492 : 194 + 0xd]
    eip = 0x60831a30   esp = 0x0012dcbc   ebp = 0x00000001
    Found by: stack scanning
32  ntdll.dll + 0x2e24b
    eip = 0x7c82e24c   esp = 0x0012dcd4   ebp = 0x00000001
    Found by: stack scanning
33  xul.dll!_IsNonwritableInCurrentImage + 0x19
    eip = 0x608f8594   esp = 0x0012dce8   ebp = 0x00000001
    Found by: stack scanning
34  xul.dll!MessageLoop::Run() [message_loop.cc:f54bb3222492 : 168 + 0x6]
    eip = 0x608319f8   esp = 0x0012dcf8   ebp = 0x00000001
    Found by: stack scanning
35  xul.dll!nsBaseAppShell::Run() [nsBaseAppShell.cpp:f54bb3222492 : 174 + 0x13]
    eip = 0x60830b49   esp = 0x0012dd30   ebp = 0x00000001
    Found by: stack scanning
36  nspr4.dll!PR_GetEnv + 0xa
    eip = 0x603cbdc0   esp = 0x0012dd34   ebp = 0x00000001
    Found by: call frame info
37  xul.dll!nsAppShell::Run() [nsAppShell.cpp:f54bb3222492 : 239 + 0xa]
    eip = 0x6085b3da   esp = 0x0012dd3c   ebp = 0x00000001
    Found by: stack scanning
38  0x7c7fffff
    eip = 0x7c800000   esp = 0x0012dd68   ebp = 0x00000001
    Found by: stack scanning
39  0x77e3ffff
    eip = 0x77e40000   esp = 0x0012dd88   ebp = 0x00000001
    Found by: stack scanning
Summary: [OOPP] Linux-only test failures in test_plugin_clipping2.xhtml → [OOPP] Test failures in test_plugin_clipping2.xhtml
Nm, this is bug 542337
Summary: [OOPP] Test failures in test_plugin_clipping2.xhtml → [OOPP] Linux-only test failures in test_plugin_clipping2.xhtml
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1264639506.1264641787.29086.gz
1818 ERROR TEST-UNEXPECTED-FAIL | /tests/layout/generic/test/test_plugin_clipping2.xhtml | [SimpleTest/SimpleTest.js, window.onerror] An error occurred - Error calling method on NPObject! at undefined:undefined
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1264663423.1264664805.22751.gz
Linux mozilla-central opt test mochitests-4/5 on 2010/01/27 23:23:43
s: moz2-linux-slave13
1818 ERROR TEST-UNEXPECTED-FAIL | /tests/layout/generic/test/test_plugin_clipping2.xhtml | Matching regions for 'p2': expected {0,0,200,50}, {0,50,50,200}, {150,50,200,200}, got {0,0,200,50}, {0,50,50,150}, {150,50,200,150}, {0,150,200,200}
(Reporter)

Comment 16

9 years ago
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1264696144.1264697594.25867.gz
1818 ERROR TEST-UNEXPECTED-FAIL | /tests/layout/generic/test/test_plugin_clipping2.xhtml | [SimpleTest/SimpleTest.js, window.onerror] An error occurred - Error calling method on NPObject! at undefined:undefined
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1264705701.1264706603.10548.gz
Linux mozilla-central opt test mochitests-4/5 on 2010/01/28 11:08:21
s: moz2-linux-slave08
1818 ERROR TEST-UNEXPECTED-FAIL | /tests/layout/generic/test/test_plugin_clipping2.xhtml | [SimpleTest/SimpleTest.js, window.onerror] An error occurred - Error calling method on NPObject! at undefined:undefined
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1264730845.1264732111.1888.gz
Linux mozilla-central opt test mochitests-4/5 on 2010/01/28 18:07:25
s: moz2-linux-slave24
1818 ERROR TEST-UNEXPECTED-FAIL | /tests/layout/generic/test/test_plugin_clipping2.xhtml | [SimpleTest/SimpleTest.js, window.onerror] An error occurred - Error calling method on NPObject! at undefined:undefined
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1264836492.1264837340.13680.gz
s: moz2-linux-slave071834 ERROR TEST-UNEXPECTED-FAIL | /tests/layout/generic/test/test_plugin_clipping2.xhtml | [SimpleTest/SimpleTest.js, window.onerror] An error occurred - Error calling method on NPObject! at undefined:undefined
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1264853740.1264854511.8448.gz
s: moz2-linux-slave281834 ERROR TEST-UNEXPECTED-FAIL | /tests/layout/generic/test/test_plugin_clipping2.xhtml | [SimpleTest/SimpleTest.js, window.onerror] An error occurred - Error calling method on NPObject! at undefined:undefined
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1264867127.1264869147.22457.gz
Linux mozilla-central opt test mochitests-4/5 on 2010/01/30 07:58:47
s: moz2-linux-slave21
1834 ERROR TEST-UNEXPECTED-FAIL | /tests/layout/generic/test/test_plugin_clipping2.xhtml | [SimpleTest/SimpleTest.js, window.onerror] An error occurred - Error calling method on NPObject! at undefined:undefined
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1264883125.1264884066.23679.gz
Linux mozilla-central opt test mochitests-4/5 on 2010/01/30 12:25:25
s: moz2-linux-slave22
1834 ERROR TEST-UNEXPECTED-FAIL | /tests/layout/generic/test/test_plugin_clipping2.xhtml | Matching regions for 'p2': expected {0,0,200,50}, {0,50,50,200}, {150,50,200,200}, got {0,0,200,50}, {0,50,50,150}, {150,50,200,150}, {0,150,200,200}
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1264960455.1264961470.26207.gz
Linux mozilla-central opt test mochitests-4/5 on 2010/01/31 09:54:15
s: moz2-linux-slave22
1834 ERROR TEST-UNEXPECTED-FAIL | /tests/layout/generic/test/test_plugin_clipping2.xhtml | Matching regions for 'p2': expected {0,0,200,50}, {0,50,50,200}, {150,50,200,200}, got {0,0,200,50}, {0,50,50,150}, {150,50,200,150}, {0,150,200,200}
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1264998590.1265001055.5818.gz
Linux mozilla-central opt test mochitests-4/5 on 2010/01/31 20:29:50
s: moz2-linux-slave02
1834 ERROR TEST-UNEXPECTED-FAIL | /tests/layout/generic/test/test_plugin_clipping2.xhtml | Matching regions for 'p2': expected {0,0,200,50}, {0,50,50,200}, {150,50,200,200}, got {0,0,200,50}, {0,50,50,150}, {150,50,200,150}, {0,150,200,200}
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1265040791.1265042837.27909.gz
Linux mozilla-central opt test mochitests-4/5 on 2010/02/01 08:13:11
s: moz2-linux-slave10
1834 ERROR TEST-UNEXPECTED-FAIL | /tests/layout/generic/test/test_plugin_clipping2.xhtml | [SimpleTest/SimpleTest.js, window.onerror] An error occurred - Error calling method on NPObject! at undefined:undefined
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1265050984.1265054393.29668.gz
Linux mozilla-central opt test mochitests-4/5 on 2010/02/01 11:03:04
s: moz2-linux-slave22
1834 ERROR TEST-UNEXPECTED-FAIL | /tests/layout/generic/test/test_plugin_clipping2.xhtml | Matching regions for 'p2': expected {0,0,200,50}, {0,50,50,200}, {150,50,200,200}, got {0,0,200,50}, {0,50,50,150}, {150,50,200,150}, {0,150,200,200}
Reverted the scroll to flush changes (http://hg.mozilla.org/mozilla-central/rev/ebca6061298f) again:
http://hg.mozilla.org/mozilla-central/rev/aefe5d2d14d8

And added a missing timeout between the existing scroll operation and testing from the plugin:
http://hg.mozilla.org/mozilla-central/rev/457788351010
Whiteboard: [orange]
Here are some instances of this that I mistakenly posted on bug 514321:

http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1264673402.1264674312.31651.gz
Linux mozilla-central opt test mochitests-4/5 on 2010/01/28 02:10:02
s: moz2-linux-slave01

http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1264802878.1264804643.12926.gz
Linux mozilla-central opt test mochitests-4/5 on 2010/01/29 14:07:58
s: moz2-linux-slave27

http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1265061021.1265062090.18880.gz
Linux mozilla-central opt test mochitests-4/5 on 2010/02/01 13:50:21
s: moz2-linux-slave21
Marking FIXED.

The changsets that stayed are:
http://hg.mozilla.org/mozilla-central/rev/4a603215351c
http://hg.mozilla.org/mozilla-central/rev/8b68dd282dd2
http://hg.mozilla.org/mozilla-central/rev/457788351010
Status: REOPENED → RESOLVED
Last Resolved: 9 years ago9 years ago
Resolution: --- → FIXED
Flags: in-testsuite+
Target Milestone: --- → mozilla1.9.3a1
Blanket approval for Lorentz merge to mozilla-1.9.2
a=beltzner for 1.9.2.4 - please make sure to mark status1.9.2:.4-fixed
Whiteboard: [orange][fixed-lorentz] → [fixed-lorentz]
Comment hidden (Legacy TBPL/Treeherder Robot)
bholley: Comment 33 is a mis-star (possibly a real issue in one of the patches you were testing).

This bug was fixed by a patch-stack, and it's had no reports since comment 28 (over 3 years ago), so I doubt your Try job hit this.
(In reply to Daniel Holbert [:dholbert] from comment #34)
> bholley: Comment 33 is a mis-star (possibly a real issue in one of the
> patches you were testing).
> 
> This bug was fixed by a patch-stack, and it's had no reports since comment
> 28 (over 3 years ago), so I doubt your Try job hit this.

Sorry for the late reply here. Many thanks for the heads-up. :-)
You need to log in before you can comment on or make changes to this bug.